/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package jreqtools;

import java.awt.*;
import javax.swing.*;

/**
* This is a requester for byte values.
* 
* @author	Markus Hillenbrand
*/

public class ByteRequester extends StringRequester {
	
	public ByteRequester()  {
		this("JReqTools: ByteRequester", null, (byte)0);
	}

	public ByteRequester(byte defaultValue)  {
		this("JReqTools: ByteRequester", null, defaultValue);
	}

	public ByteRequester(String message, byte defaultValue)  {
		this("JReqTools: ByteRequester", message, defaultValue);
	}

	public ByteRequester(String title, String message, byte defaultValue)  {
		super(title, message, ""+defaultValue);
		
		setStringChecker(StringCheckers.getByteChecker());
	}

	public byte getByte()  {
		return Byte.valueOf(getString()).byteValue();
	}

}
