/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package jreqtools.gadgets;

import javax.swing.*;
import java.awt.*;

public class MessageLines extends Panel {
	public static final int LEFT		= Label.LEFT;
	public static final int RIGHT		= Label.RIGHT;
	public static final int CENTER	= Label.CENTER;
	
	public MessageLines(String lines)  {
		this(lines, CENTER);
	}

	public MessageLines(String lines, int alignment)  {
		setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
		
		int len = lines.length();
		String line = "";
		
		for (int i=0; i<len; ++i)
			{
			char c = lines.charAt(i);
			if (c == '\n')
				{
				if (line.length() == 0) line = " ";
				add(new Label(line, alignment));
				line = "";
				}
			else line += c;
			}
		
		add(new Label(line, alignment));
	}

}
