/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package jreqtools.gadgets;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import jreqtools.*;

public class OkCancelButtons extends Panel {
	private static  int	objectSpace	= UIManager.getInt("jreqtools.objectSpace");
	
	private	JButton		ok			= new JButton(JReqTools.getResourceString("Ok")		, UIManager.getIcon("jreqtools.okIcon"));
	private	JButton		cancel		= new JButton(JReqTools.getResourceString("Cancel")	, UIManager.getIcon("jreqtools.cancelIcon"));
	
	public OkCancelButtons(final Object source, final ActionListener okl, final ActionListener cancell, final ActionListener helpl)  {
		setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
		
		// Listeners
		if (okl != null) ok.addActionListener(okl);
		if (cancell != null) cancel.addActionListener(cancell);
		
		// Buttons erzeugen
		Box buttons = Box.createHorizontalBox();
		buttons.add(ok);
		buttons.add(Box.createHorizontalGlue());
		buttons.add(new Strut());
		buttons.add(cancel);
		if (helpl != null)
			{
			JButton help = new JButton(JReqTools.getResourceString("Help"), UIManager.getIcon("jreqtools.helpIcon"));
			help.addActionListener(new ActionListener() {
				public void actionPerformed(ActionEvent e) {
					helpl.actionPerformed(new ActionEvent(source, ActionEvent.ACTION_PERFORMED, "Help"));
				}
			});
			buttons.add(new Strut());
			buttons.add(Box.createHorizontalGlue());
			buttons.add(help);
			}
		
		// Alles hinzufgen
		add(new Line());
		add(new Strut());
		add(buttons);
	}

	public JButton getCancelButton()  {
		return cancel;
	}

	public JButton getOkButton()  {
		return ok;
	}

	public void setButtonText(int index, String text)  {
		if (index == 0) ok.setText(text); else cancel.setText(text);
	}

}
